%% Ejemplo 2: Lectura y reproduccin de un video en formato mpeg

% Lectura del video
vidObj = VideoReader('testVideo.mpg');

% Precarga la estructura de datos.
mov(1:vidObj.NumberOfFrames) = ...
    struct('cdata', zeros(vidObj.Height, vidObj.Width, 3, 'uint8'),...
           'colormap', []);

% Lectura frame a frame.
for frame = 1 : vidObj.NumberOfFrames-1
     mov(frame).cdata= read(vidObj, frame);
end

% Visualizacin del video
movie(mov, 1, vidObj.FrameRate);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%