%% Ejemplo 5: Generacin de frames entrelazadas

% Lectura del video
[yuvMovie, YUV] = readYUV('stefan@90@352x288.yuv', 3, 'CIF_PAL'); % Se leen 3 frames

% size(YUV) % Se comprueba las dimensiones de YUV

% Se lee la luminancia de la frame 2
Ycurr=YUV(:,:,1,2); 
[fil, col]=size(Ycurr);

% Se crean imagenes de ceros
Yodd=zeros(fil,col); 
Yeven=zeros(fil,col);

% Se seleccionan las filas pares e impares por separado
Yodd(1:2:fil,:)=Ycurr(1:2:fil,:);
Yeven(2:2:fil,:)=Ycurr(2:2:fil,:);

% Visualizacin de las imgenes
subplot(1,3,1), imshow(uint8(Ycurr)), title('ORIGINAL Y');
subplot(1,3,2), imshow(uint8(Yodd)), title('Imagen Lneas impares');
subplot(1,3,3), imshow(uint8(Yeven)), title('Imagen Lneas pares');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


