%% Ejemplo 1: Conversin RGB a YCrCb 4:4:4

% Lectura de la imagen
RGB = imread('peppers.png');
[fil col dim]=size(RGB);
whos RGB

% Se convierte RGB  a YCbCr.
YCbCr = rgb2ycbcr(RGB); 
whos YCbCr

% Observar que la imagen RGB y YCrCB ocupan el mismo espacio

% Visualizacin de las componentes RGB.
close all;
hFig = figure;
set(hFig, 'Position', [20 200 600 600]);
subplot(2,2,1), imshow(RGB), title('ORIGINAL')
subplot(2,2,2), imshow(cat(3,RGB(:,:,1),zeros(fil,col,'uint8'),zeros(fil,col,'uint8'))), title('RED');
subplot(2,2,3), imshow(cat(3,zeros(fil,col,'uint8'),RGB(:,:,2),zeros(fil,col,'uint8'))), title('GREEN');
subplot(2,2,4), imshow(cat(3,zeros(fil,col,'uint8'),zeros(fil,col,'uint8'),RGB(:,:,3))), title('BLUE');

% Se muestran las componentes Y, Cr y Cb.
hFig = figure;
set(hFig, 'Position', [650 200 600 600]);
subplot(2,2,1), imshow(RGB), title('ORIGINAL')
subplot(2,2,2), imshow(YCbCr(:,:,1)), title('Y Component');
subplot(2,2,3), imshow(cat(3,zeros(fil,col,'uint8'),zeros(fil,col,'uint8'),YCbCr(:,:,2))) , title('Cb Component');
subplot(2,2,4), imshow(cat(3,YCbCr(:,:,3),zeros(fil,col,'uint8'),zeros(fil,col,'uint8'))), title('Cr Component');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%