%% Ejemplo 7. Programacin de la webcam

imaqreset % Reset de la Imagen Aquisition Toolbox
% imaqtool

% Configuracin de la webcam
vid = videoinput('winvideo', 2, 'YUY2_176x144');
src = getselectedsource(vid);
vid.ReturnedColorspace = 'grayscale'; % rgb 'YCbCr' 

vid.FramesPerTrigger = 1;

% LAzo infinito
while(1)

start(vid);
frame = getdata(vid);% getsnapshot(vid); % Captura una imagen
stop(vid);

% Visualizacin de la frame capturada
subplot(1,2,1), imshow(frame), title('ORIGINAL');
subplot(1,2,2), imshow(imcomplement(frame)), title('NEGATIVA');
%subplot(1,2,2), imshow(edge(frame)), title('DETECCIN DE CONTORNO');
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%